%define kdeprefix /opt/kde
%define version 1.1.1
%define kderelease 2
%define sourcedir stable/1.1.1/distribution/tar/generic/source
%define tag -1.1.1
%define topdirtag -1.1.1
Serial: 3

%define target RedHat 5.1 or 5.2 systems
%define compiler egcs
%define rhseries rh5x
%define redhat redhat-release >= 5.1
%define qtrequired  qt >= 1.42 qt-egcs-10x

%define kdename kdeutils
%define kclock kclock-0.6
%define kdf kdf-0.5.1
%define topdir %{kdename}%{topdirtag}
Name: %{kdename}
Summary: K Desktop Environment - Utilities
Version: %{version}
Release: %{kderelease}%{rhseries}
URL: http://www.kde.org
Source: ftp://ftp.kde.org:/pub/kde/%{sourcedir}/%{kdename}%{tag}.tar.gz
Source1: ftp://ftp.kde.org/pub/kde/stable/1.1/apps/utils/%{kclock}.tgz
Source2: ftp://ftp.kde.org/pub/kde/stable/1.1/apps/utils/%{kdf}.tgz
Patch: %{kclock}-config.patch
Patch1: %{kclock}.patch
Patch2: %{kdf}.patch
Group: X11/KDE/Utilities
BuildRoot: /var/tmp/%{kdename}-buildroot
Copyright: GPL/Artistic
Requires: %{qtrequired} %{redhat} kdebase-%{rhseries}
Distribution: KDE
Packager: KDE Packaging Team <redhat-rpms@kde.org>
Vendor: The KDE Team
Prefix: %{kdeprefix}
%define packages tools addressbook timetracker notejotter ljettool notes kwrite diskfree 
%define tools ark kcalc kfloppy kedit khexdit klipper klpq kpm ktop
%define addressbook kab
%define timetracker karm
%define notejotter kjots
%define ljettool kljettool
%define notes knotes
%define kwrite kwrite
%define subdirs %tools %addressbook %timetracker %notejotter %ljettool %notes %kwrite 

%description
Utilities for the K Desktop Environment. 
Includes: ark (tar/gzip archive  manager); kab (address book); karm (personal 
time tracker); kcalc (scientific calculator); kedit (simple text editor); 
kfloppy (floppy formatting tool); khexedit (hex editor); kjots (note taker); 
klipper (clipboard tool); kljettool(HP printer configuration tool); klpq 
(print queue manager) knotes (post-it notes for the desktop); kpm (process 
manager); kwrite (improved text editor).  kclock-0.6 and kdf-0.2.7
(not in the kdeutils collection yet) have also been added.


%package tools
Summary: K Desktop Environment - Utilities - various tools
Group: X11/KDE/Utilities
Obsoletes: kdeutils 
Obsoletes: kclock
Copyright: GPL
Prefix: %{kdeprefix}
%description tools
Utilities for the K Desktop Environment. Includes: 
--ark, a graphical front end to archive utilities such as GNU tar.
--kcalc, a scientific calculator.
--kfloppy, formats floppy disks in either msdos or ext2 format.
--kedit, a simple text editor
--khexdit, an editor for binary (hexadecimal) files.
--klipper, a tool for managing the cut-and-paste clipboard history.
--klpq, a print queue manager
--kpm,  manages the processes running on the system 
--ktop, another process manager 
--kclock, an analog/digital clock for the desktop (added to the package)

(other kdeutils components are now placed in individual RPM subpackages:
kab, karm, kjots, kljettool, knotes, kwrite)

This package is intended for %{target}.
It will be installed by default in %{kdeprefix}, but is relocatable to install
under e.g., /usr/kde, using "rpm --prefix /usr/kde ..."

%package addressbook
Summary: K Desktop Environment - Utilities - kab
Group: X11/KDE/Utilities
Obsoletes: kdeutils 
Copyright: GPL
Prefix: %{kdeprefix}
%description addressbook
This provides "kab", the addressbook application from the "kdeutils" colection 
of KDE applications.

This package is intended for %{target}.
It will be installed by default in %{kdeprefix}, but is relocatable to install
under e.g., /usr/kde, using "rpm --prefix /usr/kde ..."

%package timetracker
Summary: K Desktop Environment - Utilities - karm
Group: X11/KDE/Utilities
Obsoletes: kdeutils 
Copyright: GPL
Prefix: %{kdeprefix}
%description timetracker
This provides "karm", the time tracker application from the "kdeutils" 
collection of KDE applications. It allows you to keep track of how much time 
you spend on different projects.

This package is intended for %{target}.
It will be installed by default in %{kdeprefix}, but is relocatable to install
under e.g., /usr/kde, using "rpm --prefix /usr/kde ..."

%package notejotter
Summary: K Desktop Environment - Utilities - kjots
Group: X11/KDE/Utilities
Obsoletes: kdeutils 
Copyright: GPL
Prefix: %{kdeprefix}
%description notejotter
This provides "kjots", an application from the "kdeutils" collection of KDE 
applications, for "jotting down" (writing) and organizing small notes.

This package is intended for %{target}.
It will be installed by default in %{kdeprefix}, but is relocatable to install
under e.g., /usr/kde, using "rpm --prefix /usr/kde ..."

%package ljettool
Summary: K Desktop Environment - Utilities - kljettool
Group: X11/KDE/Utilities
Obsoletes: kdeutils 
Copyright: GPL
Prefix: %{kdeprefix}
%description ljettool
This provides "kljettool", an application from the "kdeutils" collection of 
KDE applications for adjusting the settings of HP LaserJet(tm) printers, or 
any other printer that understands HP's PJL (Printer Job Language).

This package is intended for %{target}.
It will be installed by default in %{kdeprefix}, but is relocatable to install
under e.g., /usr/kde, using "rpm --prefix /usr/kde ..."

%package notes
Summary: K Desktop Environment - Utilities - knotes
Group: X11/KDE/Utilities
Obsoletes: kdeutils
Copyright: GPL 
Prefix: %{kdeprefix}
%description notes
This provides "knotes", an application from the "kdeutils" collection of KDE
applications that simulates "Post-It"(R) notes for placing short messages on 
your computer screen (but are much more versatile than the paper variety!)

This package is intended for %{target}.
It will be installed by default in %{kdeprefix}, but is relocatable to install
under e.g., /usr/kde, using "rpm --prefix /usr/kde ..."

%package kwrite
Summary: K Desktop Environment - Utilities - kwrite
Group: X11/KDE/Utilities
Obsoletes: kdeutils
Copyright: GPL  
Prefix: %{kdeprefix}
%description kwrite
This provides "kwrite", an advanced editor for use with KDE, that is an
application from the "kdeutils" collection of KDE applications.  It is useful 
for writing text documents, but has many extra features useful for a 
Programmer's editor, including a colorized syntax for many programming 
languages.   It can be a partial alternative to more powerful Programmer's 
editors such as Emacs and XEmacs, and has features that can be used in 
conjuction with the KDE filemanager, KFM.

This package is intended for %{target}.
It will be installed by default in %{kdeprefix}, but is relocatable to install
under e.g., /usr/kde, using "rpm --prefix /usr/kde ..."

%package diskfree
Summary: K Desktop Environment - Utilities - kdiskfree
Group: X11/KDE/Utilities
Obsoletes: kdeutils
Obsoletes: kdiskfree
Copyright: GPL  
Prefix: %{kdeprefix}
%description diskfree
This provides "kdiskfree" (%{kdf}), which is a utility for monitoring
total usage of disks. and mounting/unmounting them.

It is an "extra" application added to the RPM's, and not yet in the
``official'' kdeutils collection

This package is intended for %{target}.
It will be installed by default in %{kdeprefix}, but is relocatable to install
under e.g., /usr/kde, using "rpm --prefix /usr/kde ..."

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{topdir}

%setup -q  -T  -n %{kclock} -b 1
# update kclock's config.sub, config.guess 
%patch -p1
%patch1 -p1

%setup -q  -T  -n %{kdf} -b 2
%patch2 -p1

%build
cd $RPM_BUILD_DIR/%{topdir}
export KDEDIR=%{kdeprefix}
CC=%{compiler} ./configure  --prefix=%{kdeprefix} --with-install-root=$RPM_BUILD_ROOT
make
#compile kclock
cd $RPM_BUILD_DIR/%{kclock}
CC=%{compiler} ./configure
make 

#compile kdf
cd $RPM_BUILD_DIR/%{kdf}
CC=%{compiler} ./configure
make 

%install
cd $RPM_BUILD_DIR/%{topdir}/po
rm -rf $RPM_BUILD_ROOT/*
make prefix=$RPM_BUILD_ROOT%{kdeprefix} install-strip
rm -rf $RPM_BUILD_DIR/%{kdename}-po
mkdir $RPM_BUILD_DIR/%{kdename}-po
cp -a $RPM_BUILD_ROOT/* $RPM_BUILD_DIR/%{kdename}-po

for subdir in %{subdirs} ; do
	rm -rf $RPM_BUILD_ROOT/*
	cd $RPM_BUILD_DIR/%{kdename}-po
        find . -name "$subdir*" | cpio -dpv $RPM_BUILD_ROOT       
        find $RPM_BUILD_ROOT -type d -exec chmod 0755 {} ';'      
	cd $RPM_BUILD_DIR/%{topdir}/$subdir
	make prefix=$RPM_BUILD_ROOT%{kdeprefix} install-strip
# add the kclock app to the tools subpackage (put in ark):
        if [ "$subdir" = "ark" ] ; then
		cd $RPM_BUILD_DIR/%{kclock}
		make prefix=$RPM_BUILD_ROOT%{kdeprefix} install-strip
        fi
	cd $RPM_BUILD_ROOT
	tar -cvf $RPM_BUILD_DIR/$subdir.tar .%{kdeprefix}
done

# add kdf
rm -rf $RPM_BUILD_ROOT/*
cd $RPM_BUILD_DIR/%{kdf}
export KDEDIR=%{kdeprefix}
make prefix=$RPM_BUILD_ROOT%{kdeprefix} install-strip
cd $RPM_BUILD_ROOT
tar -cvf $RPM_BUILD_DIR/diskfree.tar .%{kdeprefix}


cd $RPM_BUILD_ROOT
for package in %{packages} ; do
	rm -rf $RPM_BUILD_ROOT/*
        pkgdirs=""
	if   [ "$package" = "tools" ] ; then pkgdirs="%{tools}"
	elif [ "$package" = "addressbook" ] ; then pkgdirs="%{addressbook}"
	elif [ "$package" = "timetracker" ] ; then pkgdirs="%{timetracker}"
	elif [ "$package" = "notejotter" ] ; then pkgdirs="%{notejotter}"
	elif [ "$package" = "ljettool" ] ; then pkgdirs="%{ljettool}"
	elif [ "$package" = "notes" ] ; then pkgdirs="%{notes}"
	elif [ "$package" = "kwrite" ] ; then pkgdirs="%{kwrite}"
	elif [ "$package" = "diskfree" ] ; then pkgdirs="diskfree"
	fi
	for subdir in $pkgdirs ; do
		tar -xvf $RPM_BUILD_DIR/$subdir.tar
		rm $RPM_BUILD_DIR/$subdir.tar
	done
	tar -cvf $RPM_BUILD_DIR/$package.pkg.tar .
	find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
		$RPM_BUILD_DIR/file.list.%{kdename}.$package

        find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
		-e '/\/config\//s|^|%config|' >> \
		$RPM_BUILD_DIR/file.list.%{kdename}.$package

	find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
		$RPM_BUILD_DIR/file.list.%{kdename}.$package
done

cd $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT/*
for package in %{packages} ; do
	tar -xvf $RPM_BUILD_DIR/$package.pkg.tar
done

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/%{kdename}-po
for package in %{packages} ; do
	rm -f $RPM_BUILD_DIR/file.list.%{kdename}.$package
	rm -f $RPM_BUILD_DIR/$package.pkg.tar
done

%files tools -f ../file.list.%{kdename}.tools
%files addressbook -f ../file.list.%{kdename}.addressbook
%files timetracker -f ../file.list.%{kdename}.timetracker
%files notejotter -f ../file.list.%{kdename}.notejotter
%files ljettool -f ../file.list.%{kdename}.ljettool
%files notes -f ../file.list.%{kdename}.notes
%files kwrite -f ../file.list.%{kdename}.kwrite
%files diskfree -f ../file.list.%{kdename}.diskfree

%changelog
* Sun Apr 18 1999 <duncan@kde.org>
- updated for KDE-1.1.1
- added kdf-0.2.7 to package.

* Sat Feb 13 1999 <duncan@kde.org>
- files in KDEDIR/share/applnk no longer treated as %config files
- fix bad /opt/kde directory permissions bug 

* Mon Feb 8 1999 <duncan@kde.org>
- new rpm packaging for KDE-1.1
- relocatable rpms
- individual apps in subpackages



